Bug 107505 - Impress - crash with two people co-editing one slide
Summary: Impress - crash with two people co-editing one slide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4 target:6.0....
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-28 14:32 UTC by Tamás Zolnai
Modified: 2017-07-04 12:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace (2.79 KB, text/plain)
2017-04-28 14:33 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-04-28 14:32:42 UTC
Description:
Impress crashes when two people edits the same slide with Collabora Online.

Steps to Reproduce:
1. Run gtktiledviewer:
LO_TRACE='gdb --args' bin/run gtktiledviewer `pwd`/instdir/program the_file.odp
2. Start editing an empty presentation, and join in with another instance.
3. With User 1 type 123 in title.
4. With User 2 type 123 in body.
5. With User 1 click into body.
6. With User 2 click into title.

Actual Results:  
Impress crashes.

Expected Results:
Impress should not crash.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.81 Safari/537.36
Comment 1 Tamás Zolnai 2017-04-28 14:33:29 UTC
Created attachment 132938 [details]
Backtrace
Comment 2 Commit Notification 2017-04-28 22:40:22 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44555103217df34b218787f3dc6a2634b41fe52e

tdf#107505: Impress - crash with two people co-editing one slide

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-04-29 18:30:08 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f17742141e3f5657996f2f82f7b7642e81615b7f&h=libreoffice-5-3

tdf#107505: Impress - crash with two people co-editing one slide

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Tamás Zolnai 2017-06-18 15:02:36 UTC
Need to add a different fix for this issue:
https://bugs.documentfoundation.org/show_bug.cgi?id=107666
Comment 5 Commit Notification 2017-07-01 15:11:04 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=258df6f41d89a606a980942df6337d446634c0a6

tdf#107505: Impress - crash with two people co-editing one slide

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-04 10:36:17 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=893c6e4007da093d2e954b5a0cb847f8d3d65d66&h=libreoffice-5-4

tdf#107505: Impress - crash with two people co-editing one slide

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.